/*
 * relop.h - Relational operators
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef RELOP_H
#define	RELOP_H

#include <stdio.h>


enum relop {
	rel_lt	= 1 << 0,
	rel_le	= 1 << 1,
	rel_eq	= 1 << 2,
	rel_ge	= 1 << 3,
	rel_gt	= 1 << 4,
};


void dump_relop(FILE *file, enum relop op);

#endif /* !RELOP_H */
